org.apache.uima.fit.descriptor

## Interface ExternalResourceLocator

- All Superinterfaces:
    org.apache.uima.resource.Resource
  All Known Implementing Classes:
    JndiResourceLocator

      public interface ExternalResourceLocator
      extends org.apache.uima.resource.Resource

  Get instance of external resource. This resource implements the `Resource` interface and can thus be used as an external resource. However, it serves only as a proxy to get the actual shared resource. Parameters that help locating the shared resource can be passed using the regular UIMA external resources mechanism.

  A `ExternalResourceLocator` can be bound to a component field of the type of resource it produces.

  See Also:
    `ExternalResource.api()`

- - ### Field Summary

    - ### Fields inherited from interface org.apache.uima.resource.Resource

      `PARAM_AGGREGATE_SOFA_MAPPINGS, PARAM_CONFIG_MANAGER, PARAM_CONFIG_PARAM_SETTINGS, PARAM_EXTERNAL_OVERRIDE_SETTINGS, PARAM_PERFORMANCE_TUNING_SETTINGS, PARAM_RESOURCE_MANAGER, PARAM_UIMA_CONTEXT`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getResource()`

    - ### Methods inherited from interface org.apache.uima.resource.Resource

      `destroy, getLogger, getMetaData, getResourceManager, getUimaContext, getUimaContextAdmin, initialize, setLogger`

- - ### Method Detail

    - #### getResource

          Object getResource()

      Returns:
        the resource

Copyright © 2012–2020 The Apache Software Foundation. All rights reserved.